summaryrefslogtreecommitdiffstats
path: root/jjb/3rd_party_ci/postprocess-netvirt.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/3rd_party_ci/postprocess-netvirt.sh')
-rwxr-xr-xjjb/3rd_party_ci/postprocess-netvirt.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/jjb/3rd_party_ci/postprocess-netvirt.sh b/jjb/3rd_party_ci/postprocess-netvirt.sh
new file mode 100755
index 000000000..2e99477c5
--- /dev/null
+++ b/jjb/3rd_party_ci/postprocess-netvirt.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+
+# wipe the WORKSPACE
+if [ -z ${WORKSPACE} ]; then echo "WORKSPACE is unset"; else echo "WORKSPACE is set to \"$WORKSPACE\""; fi
+WORKSPACE=${WORKSPACE:-$PWD}
+/bin/rm -rf $WORKSPACE/*
+set -e
+# clone opnfv sdnvpn repo
+git clone https://gerrit.opnfv.org/gerrit/p/sdnvpn.git $WORKSPACE/sdnvpn
+. $WORKSPACE/sdnvpn/odl-pipeline/odl-pipeline-common.sh
+pushd $LIB
+./post_process.sh
+popd \ No newline at end of file